> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Card Invoice Lines

> List lines for a specific Card Invoice



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/cards/invoices/{id}/lines
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/cards/invoices/{id}/lines:
    get:
      tags:
        - cards
      summary: List Card Invoice Lines
      description: List lines for a specific Card Invoice
      operationId: TrioFoundationWeb.Banking.Card.InvoiceController.list_lines
      parameters:
        - description: Invoice ID
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: Entity ID
          in: query
          name: entity_id
          required: true
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It is a base64 encoded param used to
            access the previous page of results. It is provided alongside a
            metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJDU4ZjFlYzhlLWFmYTktNDk0My05M2I1LWQ2ZGM3OWI0M2VhYQ==
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: >-
            Parameter used for pagination. It's a base64 encoded param used to
            access the previous page of results. Provided along with the data in
            the metadata section if there is a previous page.
          example: >-
            g3QAAAABZAACaWRtAAAAJGJhYTNiNmM1LTAyYTYtNGQ5Ny05NzU1LTI3OGFiNjRiN2Y1MQ==
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Parameter used for pagination.
          in: query
          name: limit
          required: false
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/List_invoice_lines_response'
          description: Invoice Lines
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
      callbacks: {}
components:
  schemas:
    List_invoice_lines_response:
      description: List invoice lines response
      example:
        data:
          - amount:
              amount: 10000
              currency: BRL
            card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            card_number: 5555 **** **** 1234
            id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            invoice_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            line_category: food
            line_status: confirmed
            line_title: Fast Food
            ref_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
            ref_type: purchase
            timestamp: '2020-01-01T00:00:00Z'
      properties:
        data:
          items:
            $ref: '#/components/schemas/Card_Invoice_Line'
          type: array
      title: List invoice lines response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object
    Card_Invoice_Line:
      description: An Card Invoice Line
      example:
        amount:
          amount: 10000
          currency: BRL
        card_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        card_number: 5555 **** **** 1234
        id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        invoice_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        line_category: food
        line_status: confirmed
        line_title: Fast Food
        ref_id: 0182b3d0-0b3b-4b3b-8b3b-0b3b4b3b8b3b
        ref_type: purchase
        timestamp: '2020-01-01T00:00:00Z'
      properties:
        amount:
          description: Invoice Line Amount
          properties:
            amount:
              description: Amount
              type: integer
            currency:
              description: Currency
              type: string
          type: object
        card_id:
          description: Card ID
          type: string
        card_number:
          description: Card number
          type: string
        id:
          description: Unique identifier
          type: string
        invoice_id:
          description: Invoice ID
          type: string
        line_category:
          description: Line category
          type: string
        line_status:
          description: Line status
          enum:
            - reversed
            - confirmed
            - voided
          type: string
        line_title:
          description: Line title
          type: string
        ref_id:
          description: Reference ID
          type: string
        ref_type:
          description: Reference type
          enum:
            - purchase
            - topup
            - transfer_in
            - transfer_out
          type: string
        timestamp:
          description: generation timestamp
          format: date-time
          type: string
      title: Card Invoice Line
      type: object

````